<script lang="ts">
  import Checkbox from '@components/input/Checkbox.svelte';
  import { fetchFeedbacks } from './feedback';

  // states
  let showBlank = $state(false);

  // lifecycle
  $effect(() => {
    fetchFeedbacks(showBlank);
  });
</script>

<div>
  <fieldset class="fieldset border border-base-content/50 rounded-box p-2">
    <legend class="fieldset-legend">Filter</legend>
    <Checkbox bind:checked={showBlank} label="Unausgefüllte zeigen" />
  </fieldset>
</div>
